- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.55.0/Clp/src/CbcOrClpParam.hpp File Reference

`#include "ClpConfig.h"`
`#include <vector>`
`#include <string>`

Include dependency graph for CbcOrClpParam.hpp:

Go to the source code of this file.

## Classes
class | CbcOrClpParam
| Very simple class for setting parameters. More...
## Defines
#define | CBCMAXPARAMETERS 200
## Enumerations
enum | CbcOrClpParameterType { GENERALQUERY = -100, FULLGENERALQUERY, PRIMALTOLERANCE = 1, DUALTOLERANCE, TIMELIMIT, DUALBOUND, PRIMALWEIGHT, OBJSCALE, RHSSCALE, INFEASIBILITYWEIGHT = 51, CUTOFF, INTEGERTOLERANCE, INCREMENT, ALLOWABLEGAP, TIMELIMIT_BAB, GAPRATIO, DJFIX = 81, TIGHTENFACTOR, PRESOLVETOLERANCE, OBJSCALE2, FAKEINCREMENT, FAKECUTOFF, ARTIFICIALCOST, DEXTRA3, SMALLBAB, DEXTRA4, DEXTRA5, SOLVERLOGLEVEL = 101, LOGLEVEL = 101, MAXFACTOR, PERTVALUE, MAXITERATION, PRESOLVEPASS, IDIOT, SPRINT, OUTPUTFORMAT, SLPVALUE, PRESOLVEOPTIONS, PRINTOPTIONS, SPECIALOPTIONS, SUBSTITUTION, DUALIZE, VERBOSE, CPP, PROCESSTUNE, USESOLUTION, STRONGBRANCHING = 151, CUTDEPTH, MAXNODES, NUMBERBEFORE, NUMBERANALYZE, MIPOPTIONS, MOREMIPOPTIONS, MAXHOTITS, FPUMPITS, MAXSOLS, FPUMPTUNE, TESTOSI, EXTRA1, EXTRA2, EXTRA3, EXTRA4, DEPTHMINIBAB, CUTPASSINTREE, THREADS, CUTPASS, VUBTRY, DENSE, EXPERIMENT, DIVEOPT, STRATEGY, SMALLFACT, HOPTIONS, CUTLENGTH, FPUMPTUNE2, DIRECTION = 201, DUALPIVOT, SCALING, ERRORSALLOWED, KEEPNAMES, SPARSEFACTOR, PRIMALPIVOT, PRESOLVE, CRASH, BIASLU, PERTURBATION, MESSAGES, AUTOSCALE, CHOLESKY, KKT, BARRIERSCALE, GAMMA, CROSSOVER, PFI, INTPRINT, VECTOR, FACTORIZATION, ALLCOMMANDS, NODESTRATEGY = 251, BRANCHSTRATEGY, CUTSSTRATEGY, HEURISTICSTRATEGY, GOMORYCUTS, PROBINGCUTS, KNAPSACKCUTS, REDSPLITCUTS, ROUNDING, SOLVER, CLIQUECUTS, COSTSTRATEGY, FLOWCUTS, MIXEDCUTS, TWOMIRCUTS, PREPROCESS, FPUMP, GREEDY, COMBINE, LOCALTREE, SOS, LANDPCUTS, RINS, RESIDCUTS, RENS, DIVINGS, DIVINGC, DIVINGF, DIVINGG, DIVINGL, DIVINGP, DIVINGV, DINS, PIVOTANDFIX, RANDROUND, NAIVE, ZEROHALFCUTS, CPX, CROSSOVER2, PIVOTANDCOMPLEMENT, VND, DIRECTORY = 301, DIRSAMPLE, DIRNETLIB, DIRMIPLIB, IMPORT, EXPORT, RESTORE, SAVE, DUALSIMPLEX, PRIMALSIMPLEX, EITHERSIMPLEX, MAXIMIZE, MINIMIZE, EXIT, STDIN, UNITTEST, NETLIB_EITHER, NETLIB_DUAL, NETLIB_PRIMAL, SOLUTION, SAVESOL, TIGHTEN, FAKEBOUND, HELP, PLUSMINUS, NETWORK, ALLSLACK, REVERSE, BARRIER, NETLIB_BARRIER, NETLIB_TUNE, REALLY_SCALE, BASISIN, BASISOUT, SOLVECONTINUOUS, CLEARCUTS, VERSION, STATISTICS, DEBUG, DUMMY, PRINTMASK, OUTDUPROWS, USERCLP, MODELIN, CSVSTATISTICS, STOREDFILE, ENVIRONMENT, BAB = 351, MIPLIB, STRENGTHEN, PRIORITYIN, USERCBC, DOHEURISTIC, OSLSTUFF = 401, CBCSTUFF, INVALID = 1000 }
| Parameter codes. More...
## Functions
std::string | CoinReadNextField ()
| Simple read stuff.
std::string | CoinReadGetCommand (int argc, const char *argv[])
std::string | CoinReadGetString (int argc, const char *argv[])
int | CoinReadGetIntField (int argc, const char *argv[], int *valid)
double | CoinReadGetDoubleField (int argc, const char *argv[], int *valid)
void | CoinReadPrintit (const char *input)
void | setCbcOrClpPrinting (bool yesNo)
void | establishParams (int &numberParameters, CbcOrClpParam *const parameters)
int | whichParam (CbcOrClpParameterType name, int numberParameters, CbcOrClpParam *const parameters)
void | saveSolution (const ClpSimplex *lpSolver, std::string fileName)

## Define Documentation

#define CBCMAXPARAMETERS 200

Definition at line 298 of file CbcOrClpParam.hpp.

## Enumeration Type Documentation

enum CbcOrClpParameterType

Parameter codes.

Parameter type ranges are allocated as follows

- 1 -- 100 double parameters
- 101 -- 200 integer parameters
- 201 -- 250 string parameters
- 251 -- 300 cuts etc(string but broken out for clarity)
- 301 -- 400 `actions'

`Actions' do not necessarily invoke an immediate action; it's just that they don't fit neatly into the parameters array.

This coding scheme is in flux.

Enumerator:

  GENERALQUERY |
  FULLGENERALQUERY |
  PRIMALTOLERANCE |
  DUALTOLERANCE |
  TIMELIMIT |
  DUALBOUND |
  PRIMALWEIGHT |
  OBJSCALE |
  RHSSCALE |
  INFEASIBILITYWEIGHT |
  CUTOFF |
  INTEGERTOLERANCE |
  INCREMENT |
  ALLOWABLEGAP |
  TIMELIMIT_BAB |
  GAPRATIO |
  DJFIX |
  TIGHTENFACTOR |
  PRESOLVETOLERANCE |
  OBJSCALE2 |
  FAKEINCREMENT |
  FAKECUTOFF |
  ARTIFICIALCOST |
  DEXTRA3 |
  SMALLBAB |
  DEXTRA4 |
  DEXTRA5 |
  SOLVERLOGLEVEL |
  LOGLEVEL |
  MAXFACTOR |
  PERTVALUE |
  MAXITERATION |
  PRESOLVEPASS |
  IDIOT |
  SPRINT |
  OUTPUTFORMAT |
  SLPVALUE |
  PRESOLVEOPTIONS |
  PRINTOPTIONS |
  SPECIALOPTIONS |
  SUBSTITUTION |
  DUALIZE |
  VERBOSE |
  CPP |
  PROCESSTUNE |
  USESOLUTION |
  STRONGBRANCHING |
  CUTDEPTH |
  MAXNODES |
  NUMBERBEFORE |
  NUMBERANALYZE |
  MIPOPTIONS |
  MOREMIPOPTIONS |
  MAXHOTITS |
  FPUMPITS |
  MAXSOLS |
  FPUMPTUNE |
  TESTOSI |
  EXTRA1 |
  EXTRA2 |
  EXTRA3 |
  EXTRA4 |
  DEPTHMINIBAB |
  CUTPASSINTREE |
  THREADS |
  CUTPASS |
  VUBTRY |
  DENSE |
  EXPERIMENT |
  DIVEOPT |
  STRATEGY |
  SMALLFACT |
  HOPTIONS |
  CUTLENGTH |
  FPUMPTUNE2 |
  DIRECTION |
  DUALPIVOT |
  SCALING |
  ERRORSALLOWED |
  KEEPNAMES |
  SPARSEFACTOR |
  PRIMALPIVOT |
  PRESOLVE |
  CRASH |
  BIASLU |
  PERTURBATION |
  MESSAGES |
  AUTOSCALE |
  CHOLESKY |
  KKT |
  BARRIERSCALE |
  GAMMA |
  CROSSOVER |
  PFI |
  INTPRINT |
  VECTOR |
  FACTORIZATION |
  ALLCOMMANDS |
  NODESTRATEGY |
  BRANCHSTRATEGY |
  CUTSSTRATEGY |
  HEURISTICSTRATEGY |
  GOMORYCUTS |
  PROBINGCUTS |
  KNAPSACKCUTS |
  REDSPLITCUTS |
  ROUNDING |
  SOLVER |
  CLIQUECUTS |
  COSTSTRATEGY |
  FLOWCUTS |
  MIXEDCUTS |
  TWOMIRCUTS |
  PREPROCESS |
  FPUMP |
  GREEDY |
  COMBINE |
  LOCALTREE |
  SOS |
  LANDPCUTS |
  RINS |
  RESIDCUTS |
  RENS |
  DIVINGS |
  DIVINGC |
  DIVINGF |
  DIVINGG |
  DIVINGL |
  DIVINGP |
  DIVINGV |
  DINS |
  PIVOTANDFIX |
  RANDROUND |
  NAIVE |
  ZEROHALFCUTS |
  CPX |
  CROSSOVER2 |
  PIVOTANDCOMPLEMENT |
  VND |
  DIRECTORY |
  DIRSAMPLE |
  DIRNETLIB |
  DIRMIPLIB |
  IMPORT |
  EXPORT |
  RESTORE |
  SAVE |
  DUALSIMPLEX |
  PRIMALSIMPLEX |
  EITHERSIMPLEX |
  MAXIMIZE |
  MINIMIZE |
  EXIT |
  STDIN |
  UNITTEST |
  NETLIB_EITHER |
  NETLIB_DUAL |
  NETLIB_PRIMAL |
  SOLUTION |
  SAVESOL |
  TIGHTEN |
  FAKEBOUND |
  HELP |
  PLUSMINUS |
  NETWORK |
  ALLSLACK |
  REVERSE |
  BARRIER |
  NETLIB_BARRIER |
  NETLIB_TUNE |
  REALLY_SCALE |
  BASISIN |
  BASISOUT |
  SOLVECONTINUOUS |
  CLEARCUTS |
  VERSION |
  STATISTICS |
  DEBUG |
  DUMMY |
  PRINTMASK |
  OUTDUPROWS |
  USERCLP |
  MODELIN |
  CSVSTATISTICS |
  STOREDFILE |
  ENVIRONMENT |
  BAB |
  MIPLIB |
  STRENGTHEN |
  PRIORITYIN |
  USERCBC |
  DOHEURISTIC |
  OSLSTUFF |
  CBCSTUFF |
  INVALID |

Definition at line 46 of file CbcOrClpParam.hpp.

## Function Documentation

std::string CoinReadNextField | ( |  | ) |

Simple read stuff.

std::string CoinReadGetCommand | ( | int | argc,
|  | const char * | argv[] |
| ) |  |  |

std::string CoinReadGetString | ( | int | argc,
|  | const char * | argv[] |
| ) |  |  |

int CoinReadGetIntField | ( | int | argc,
|  | const char * | argv[],
|  | int * | valid |
| ) |  |  |

double CoinReadGetDoubleField | ( | int | argc,
|  | const char * | argv[],
|  | int * | valid |
| ) |  |  |

void CoinReadPrintit | ( | const char * | input | ) |

void setCbcOrClpPrinting | ( | bool | yesNo | ) |

void establishParams | ( | int & | numberParameters,
|  | CbcOrClpParam *const | parameters |
| ) |  |  |

int whichParam | ( | CbcOrClpParameterType | name,
|  | int | numberParameters,
|  | CbcOrClpParam *const | parameters |
| ) |  |  |

void saveSolution | ( | const ClpSimplex * | lpSolver,
|  | std::string | fileName |
| ) |  |  |